[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TXMLPropStorage

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: xmlpropstorage.pas line 61

`type TXMLPropStorage = class(TCustomXMLPropStorage)`
`published`
`property StoredValues;` |  |
`property FileName;` |  |
`property RootNodePath;` |  |
`property Active;` |  |
`property OnSavingProperties;`
`property OnSaveProperties;` |  |
`property OnRestoringProperties;`
`property OnRestoreProperties;` |  |
`end;`

## Inheritance

`TXMLPropStorage` |  |
`TCustomXMLPropStorage` |  |
`TFormPropertyStorage` |  | TFormPropertyStorage - class for storage of a Form's properties
`TControlPropertyStorage` |  |
`TCustomPropertyStorage`
?
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.